var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useMemo, useState } from 'react';
import { View, Text, StyleSheet, Pressable } from 'react-native';
import { gDp } from 'th_comm.rn';
var FakeTab = function (props) {
    var _a = useState(0), index = _a[0], setIndex = _a[1];
    var _getChildren = function () {
        if (!Array.isArray(props.children)) {
            console.error('props.children should be an array');
            return [];
        }
        return props.children;
    };
    var _getTitleText = function (index) {
        if (index < props.titles.length) {
            return props.titles[index];
        }
        return '';
    };
    var _Content = function () {
        if (_getChildren().length > index) {
            return _getChildren()[index];
        }
        return <View />;
    };
    var _isSelected = function (_index) {
        return _index === index;
    };
    var _TabBarItem = function (_a) {
        var index = _a.index;
        return <Pressable onPress={function () {
                setIndex(index);
            }}>
      <View style={{
                alignItems: 'center',
            }}>
        <Text style={styles.tabBarText}>
          {_getTitleText(index)}
        </Text>
        <View style={__assign(__assign({}, styles.underLine), { backgroundColor: _isSelected(index) ? styles.underLine.backgroundColor : 'transfer' })}>
        </View>
      </View>
    </Pressable>;
    };
    // what to do for the i?
    var indexes = useMemo(function () {
        return Array.from(_getChildren().keys());
    }, [_getChildren()]);
    return (<View style={props.style}>
      <View style={__assign({ flexDirection: 'row', paddingTop: gDp(14) }, props.tabStyle)}>
        {indexes.map(function (index) {
            return <_TabBarItem key={index.toString() + '_' + _getTitleText(index)} index={index}/>;
        })}
      </View>
      <View style={props.contentStyle}>
        {_Content()}
      </View>
    </View>);
};
var styles = StyleSheet.create({
    tabBarText: {
        paddingHorizontal: gDp(30),
        fontWeight: 'bold',
        fontSize: gDp(28),
        color: '#333',
    },
    underLine: {
        marginTop: gDp(14),
        height: gDp(4),
        width: gDp(56),
        backgroundColor: '#fc6600',
        borderRadius: gDp(4),
    }
});
export default FakeTab;
//# sourceMappingURL=FakeTab.js.map